<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 11/02/18
 * Time: 9:16 PM
 */

namespace qfq;

require_once(__DIR__ . '/../../qfq/helper/OnString.php');

use qfq;

//use qfq\exceptions\CodeException;

//require_once(__DIR__ . '/../../qfq/store/Store.php');
//require_once(__DIR__ . '/../../qfq/Constants.php');
//require_once(__DIR__ . '/../../qfq/exceptions/CodeException.php');
//

use PHPUnit\Framework\TestCase;

//class OnStringTest extends \PHPUnit_Framework_TestCase {

/**
 * Class OnStringTest
 * @package qfq
 */
class OnStringTest extends TestCase {

    /**
     *
     */
    public function testStrrstr() {

        $this->assertEquals('', OnString::strrstr('', ''));
        $this->assertEquals('', OnString::strrstr('hello world to the limit', ''));
        $this->assertEquals('limit', OnString::strrstr('hello world to the limit', ' '));
        $this->assertEquals('', OnString::strrstr('', ' '));
    }

    /**
     *
     */
    public function testStripFirstCharIf() {
        $this->assertEquals('', OnString::stripFirstCharIf('', ''));
        $this->assertEquals('', OnString::stripFirstCharIf('c', ''));
        $this->assertEquals('', OnString::stripFirstCharIf('c', 'c'));
        $this->assertEquals('def', OnString::stripFirstCharIf('c', 'cdef'));
        $this->assertEquals('def', OnString::stripFirstCharIf('c', 'def'));
        $this->assertEquals('def', OnString::stripFirstCharIf('cd', 'def'));

    }

    /**
     *
     */
    public function testTrimQuote() {
        $this->assertEquals('', OnString::trimQuote(''));
        $this->assertEquals('test', OnString::trimQuote('test'));
        $this->assertEquals(' test ', OnString::trimQuote(' test '));
        $this->assertEquals('" test ', OnString::trimQuote('" test '));
        $this->assertEquals('" test \'', OnString::trimQuote('" test \''));
        $this->assertEquals('\' test "', OnString::trimQuote('\' test "'));
        $this->assertEquals(' test ', OnString::trimQuote('" test "'));
        $this->assertEquals(' test ', OnString::trimQuote("' test '"));
        $this->assertEquals(' te"st ', OnString::trimQuote("' te\"st '"));
        $this->assertEquals(' te\'st ', OnString::trimQuote("' te'st '"));

    }
}